aboutsummaryrefslogtreecommitdiffstats
path: root/testing
diff options
context:
space:
mode:
Diffstat (limited to 'testing')
-rw-r--r--testing/imake/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/imake/APKBUILD b/testing/imake/APKBUILD
new file mode 100644
index 0000000000..21de619d80
--- /dev/null
+++ b/testing/imake/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor:
+# Maintainer:
+pkgname=imake
+pkgver=1.0.4
+pkgrel=0
+pkgdesc="X Windows make utility"
+url="http://www.x.org"
+arch="all"
+license="custom"
+depends=
+depends_dev=
+makedepends="xproto util-macros $depends_dev"
+install=""
+#subpackages="$pkgname-dev $pkgname-doc"
+source="http://ftp.x.org/pub/individual/util/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure || make || return 1
+}
+
+package() {
+ echo "PACKAGE stage"
+ echo "pkgdir = $pkgdir"
+ cd "$_builddir"
+ pwd
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="0fd1e53d94142ddee5340f87de0b9561 imake-1.0.4.tar.gz"